<!-- 文件管理 -->
<template>
  <div class="resource">
    <div class="zy-head-search">
      <span>文件类别</span>
      <el-select
        v-model="search.fileTypeName"
        clearable
        filterable
        collapse-tags
        size="small"
        style="width:200px;margin-right: 10px;"
        placeholder="请选择文件类别"
      >
        <el-option
          v-for="(item, index) in fileTypeNameList"
          :key="index"
          :label="item.baseName"
          :value="item.baseName"
        >
        </el-option>
      </el-select>
      <span>文件名称</span>
      <el-input
        v-model="search.fileName"
        size="small"
        placeholder="请输入文件名称"
        style="width: 200px"
      ></el-input>
      <el-button
        icon="el-icon-search"
        type="goon"
        size="mini"
        @click="searchData"
        >查询</el-button
      >
      <el-button
        icon="el-icon-refresh"
        type="info"
        plain
        size="mini"
        @click="reset"
        >重置</el-button
      >
    </div>
    <!-- 文件信息表表头 -->
    <div class="zy-title-div">
      <div class="zy-title-name">
        <img
          style="width: 25px; height: 25px"
          src="../../../../assets/img/imgScreen/logo.png"
        />
        文件信息表
      </div>
      <div>
        <el-button
          icon="el-icon-circle-plus-outline"
          type="goon"
          size="mini"
          @click="addData"
          >新增</el-button
        >
        <el-button
          icon="el-icon-edit"
          type="goon"
          size="mini"
          @click="modifyData"
          >修改</el-button
        >
        <el-button
          icon="el-icon-circle-close"
          type="danger"
          size="mini"
          @click="deleteData"
          >删除</el-button
        >
        <el-button
          icon="el-icon-check"
          type="goon"
          size="mini"
          @click="recoverData"
          >恢复</el-button
        >
      </div>
    </div>
    <!-- 文件信息表表格 -->
    <div class="common-table-div" style="margin-bottom:0;margin-top:0">
      <el-table
        v-loading="dataLoading"
        ref="dataTable"
        border
        :height="height_top"
        highlight-current-row
        @selection-change="handleSelectionChange"
        :data="table.list"
        :icore-filter-flag="icoreFilterFlag"
        :header-cell-style="tableHeaderCellStyle"
        :summary-method="getSummaries"
        show-summary
        @row-click="getDataListByFileId"
        :cell-class-name="tableRowClassName"
        :exchangeFilterMap="{
          validFlag: { '0': '已停用', '1': '已启用' },
          fileSource: { '0': '内部', '1': '外部' },
          udrCtrl: { '0': '否', '1': '是' },
        }"
        >>
        <el-table-column
          type="index"
          label="NO"
          fixed="left"
          align="center"
        ></el-table-column>
        <el-table-column
          type="selection"
          width="55"
          fixed="left"
          align="center"
        ></el-table-column>
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="130px"
          prop="fileId"
          label="文件ID"
          align="center"
        ></el-table-column>
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="100px"
          prop="fileName"
          label="文件名称"
          align="center"
        ></el-table-column>
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="100px"
          prop="fileTypeName"
          label="文件类别"
          align="center"
        ></el-table-column>
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="100px"
          prop="fileLevel"
          label="文件级别"
          align="center"
        ></el-table-column>
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="100px"
          label="文件来源"
          align="center"
        >
          <template slot-scope="scope">
            <span v-if="scope.row.fileSource == 0">内部</span>
            <span v-else-if="scope.row.fileSource == 1">外部</span>
          </template>
        </el-table-column>
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="100px"
          label="是否受控"
          align="center"
        >
          <template slot-scope="scope">
            <span v-if="scope.row.udrCtrl == 0">否</span>
            <span v-else-if="scope.row.udrCtrl == 1">是</span>
          </template>
        </el-table-column>
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="100px"
          prop="memo"
          label="备注"
          align="center"
        ></el-table-column>
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="100px"
          label="数据状态"
          align="center"
        >
          <template slot-scope="scope">
            <span v-if="scope.row.validFlag == 1">已启用</span>
            <span v-else-if="scope.row.validFlag == 0">已停用</span>
          </template>
        </el-table-column>
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="120px"
          prop="createMan"
          label="创建人"
          align="center"
        ></el-table-column>
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="140px"
          prop="createTime"
          label="创建时间"
          align="center"
        ></el-table-column>
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="120px"
          prop="updateMan"
          label="更新人"
          align="center"
        ></el-table-column>
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="140px"
          prop="updateTime"
          label="更新时间"
          align="center"
        ></el-table-column>
      </el-table>
    </div>
    <!-- 分页一 -->
    <div class="zy-foot-page">
      <el-pagination
        v-loading="dataLoading"
        @size-change="pageSizeChange"
        @current-change="pageCurrentChange"
        :current-page="page.pageNum"
        :page-sizes="[10, 20, 50, 100, 200]"
        :page-size="page.pageSize"
        layout="total, sizes, prev, pager, next, jumper"
        :total="page.totalPage"
        background
      >
      </el-pagination>
    </div>
    <!-- 文件操作信息表表头 -->
    <div class="zy-title-div">
      <div class="zy-title-name">
        <img
          style="width: 25px; height: 25px"
          src="../../../../assets/img/imgScreen/logo.png"
        />
        文件操作信息表
      </div>
      <div>
        <el-button
          icon="el-icon-circle-plus-outline"
          type="goon"
          size="mini"
          @click="addData2"
          >新增</el-button
        >
        <el-button
          icon="el-icon-edit"
          type="goon"
          size="mini"
          @click="modifyData2"
          >修改</el-button
        >
        <el-button
          icon="el-icon-circle-close"
          type="danger"
          size="mini"
          @click="deleteData2"
          >删除</el-button
        >
        <el-button
          icon="el-icon-check"
          type="goon"
          size="mini"
          @click="recoverData2"
          >恢复</el-button
        >
      </div>
    </div>
    <!-- 文件操作信息表表格 -->
    <div class="common-table-div" style="margin-bottom:0;margin-top:0">
      <el-table
        v-loading="dataLoading2"
        ref="dataTable2"
        border
        :height="height_bot"
        highlight-current-row
        @selection-change="handleSelectionChange2"
        :data="table.list2"
        :icore-filter-flag="icoreFilterFlag"
        :header-cell-style="tableHeaderCellStyle"
        :cell-class-name="tableRowClassName2"
        @row-click="getRowCheck"
        :exchangeFilterMap="{ validFlag: { '0': '已停用', '1': '已启用' } }"
      >
        <el-table-column
          type="index"
          label="NO"
          fixed="left"
          align="center"
        ></el-table-column>
        <el-table-column
          type="selection"
          width="55"
          fixed="left"
          align="center"
        ></el-table-column>
        <el-table-column
          sortable
          width="130px"
          prop="fileIdD"
          label="记录编号"
          align="center"
        ></el-table-column>
        <el-table-column
          sortable
          width="130px"
          prop="fileId"
          label="文件ID"
          align="center"
        ></el-table-column>
        <!-- <el-table-column sortable width="100px" prop="fileTypeName" label="文件类别" align="center"></el-table-column> -->
        <!-- <el-table-column sortable width="100px" prop="fileNo" label="文件编号" align="center"></el-table-column> -->
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="100px"
          prop="versionNo"
          label="文件版本号"
          align="center"
        ></el-table-column>
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="100px"
          prop="mdfReason"
          label="修改原因"
          align="center"
        ></el-table-column>
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="100px"
          prop="mdfContent"
          label="修改内容"
          align="center"
        ></el-table-column>
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="100px"
          prop="pubDate"
          label="发布日期"
          align="center"
        ></el-table-column>
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="130px"
          prop="validDateStr"
          label="有效日期起"
          align="center"
        ></el-table-column>
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="130px"
          prop="validDateEnd"
          label="有效日期止"
          align="center"
        ></el-table-column>
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="100px"
          label="数据状态"
          align="center"
        >
          <template slot-scope="scope">
            <span v-if="scope.row.validFlag == 1">已启用</span>
            <span v-else-if="scope.row.validFlag == 0">已停用</span>
          </template>
        </el-table-column>
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="200px"
          prop="attachment011"
          label="附件1"
          align="left"
        >
          <template slot-scope="scope">
            <el-button
              type="goon"
              size="mini"
              icon="el-icon-download"
              circle
              :disabled="!scope.row.attachment011"
              @click="
                downloadFile(
                  scope.$index,
                  scope.row.rowId,
                  scope.row.attachment01.fileName,
                  scope.row.attachment01.oldFileName,
                  'LIMS_LRC_FILE_D'
                )
              "
            >
            </el-button>
            <span>{{ scope.row.attachment011 }}</span>
          </template>
        </el-table-column>
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="200px"
          prop="attachment021"
          label="附件2"
          align="left"
        >
          <template slot-scope="scope">
            <el-button
              type="goon"
              size="mini"
              icon="el-icon-download"
              circle
              :disabled="!scope.row.attachment021"
              @click="
                downloadFile(
                  scope.$index,
                  scope.row.rowId,
                  scope.row.attachment02.fileName,
                  scope.row.attachment02.oldFileName,
                  'LIMS_LRC_FILE_D'
                )
              "
            >
            </el-button>
            <span>{{ scope.row.attachment021 }}</span>
          </template>
        </el-table-column>
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="200px"
          prop="attachment031"
          label="附件3"
          align="left"
        >
          <template slot-scope="scope">
            <el-button
              type="goon"
              size="mini"
              icon="el-icon-download"
              circle
              :disabled="!scope.row.attachment031"
              @click="
                downloadFile(
                  scope.$index,
                  scope.row.rowId,
                  scope.row.attachment03.fileName,
                  scope.row.attachment03.oldFileName,
                  'LIMS_LRC_FILE_D'
                )
              "
            >
            </el-button>
            <span>{{ scope.row.attachment031 }}</span>
          </template>
        </el-table-column>
        <el-table-column
          sortable
          :show-overflow-tooltip="true"
          min-width="130px"
          prop="memo"
          label="备注"
          align="center"
        ></el-table-column>
      </el-table>
    </div>
    <!-- 分页二 -->
    <!-- <div class="zy-foot-page">
         <el-pagination
         v-loading="dataLoading2"
         @size-change="pageSizeChange2"
         @current-change="pageCurrentChange2"
         :current-page="page2.pageNum"
         :page-sizes="[10, 20, 50, 100, 200]"
         :page-size="page2.pageSize"
         layout="total, sizes, prev, pager, next, jumper"
         :total="page2.totalPage" background>
        </el-pagination>
    </div> -->
    <div
      is="alertComponents"
      :showFlag="showFlag"
      :Params="Params"
      @refresh="refresh(1)"
    ></div>
    <div
      is="alertComponents2"
      :showFlag2="showFlag2"
      :Params="Params"
      :Params2="Params2"
      @refresh="refresh(2)"
    ></div>
  </div>
</template>
<script>
import { getCookie, formatDate } from "@/utils/util.js";
import { cookieUserId, cookieUserName } from "@/config/config.js";
import alertComponents from "./alertComponents";
import alertComponents2 from "./alertComponents2";
let userName = getCookie(cookieUserName);
let userId = getCookie(cookieUserId);
export default {
  components: { alertComponents, alertComponents2 },
  data() {
    return {
      table: {
        list: [],
        list2: [],
      },
      dataLoading: false,
      dataLoading2: false,
      icoreFilterFlag: true,
      page: {
        pageSize: 50,
        pageNum: 1,
        totalPage: 0,
      },
      page2: {
        pageSize: 50,
        pageNum: 1,
        totalPage: 0,
      },
      showFlag: false,
      fileId: "",
      Params: {},
      showFlag2: false,
      Params2: {},
      multipleSelection3: [],
      multipleSelection4: [],
      fileTypeNameList: [], //文件类别
      search: {
        fileName: "",
        fileTypeName: "",
      },
    };
  },
  created() {
    this.height_top =
      window.innerHeight / 2 - 130 < 250 ? 250 : window.innerHeight / 2 - 100;
    this.height_bot =
      window.innerHeight / 2 - 130 < 250 ? 250 : window.innerHeight / 2 - 100;
  },
  mounted() {
    this.getDataList();
    this.addScreen();
    this.addScreen2();
    this.getFileTypeNameList();
  },
  methods: {
    getFileTypeNameList() {
      this.axios
        .post(
          "pass/baseManagement/v1/limsbaseinfos/queryBaseInfoByBaseCode",
          { validFlag: 1, baseCode: 4809 },
          { individualType: "json" }
        )
        .then((res) => {
          this.fileTypeNameList = res.data;
        });
    },
    getSummaries(param) {
      const { columns, data } = param;
      const sums = [];
      columns.forEach((column, index) => {
        if (index === 0) {
          sums[index] = "合计";
          return;
        }
        if (index === 1) {
          sums[index] = data.length;
        }
      });
      return sums;
    },
    // 页面刷新，重新加载表格数据
    refresh(number) {
      switch (number) {
        case 1:
          this.getDataList();
          break;
        case 2:
          this.getDataList2(this.fileId);
          break;
      }
    },
    // 文件信息表新增
    addData() {
      this.showFlag = !this.showFlag;
      this.Params = null;
    },
    // 修改（文件信息表）
    modifyData() {
      if (this.multipleSelection3.length !== 1) {
        this.$message.warning("请勾选您要修改的一条数据！");
      } else {
        this.showFlag = !this.showFlag;
        this.Params = this.multipleSelection3[0];
      }
    },
    // 文件信息表删除
    deleteData() {
      if (this.multipleSelection3.length < 1) {
        this.$message.warning("请勾选您要停用的数据！");
      } else {
        this.dialogTableVisible = false;
        for (var i = 0; i < this.multipleSelection3.length; i++) {
          this.multipleSelection3[i].updateMan = userName;
          this.multipleSelection3[i].updateNo = userId;
        }
        this.axios
          .post(
            "pass/baseManagement/v1/limslrcfiles/abolish",
            this.multipleSelection3,
            { individualType: "json" }
          )
          .then((res) => {
            if (res.succeed) {
              this.$message.success("停用操作成功");
              this.refresh(1);
            } else {
              this.$message.error(res.message);
            }
          })
          .catch((e) => {
            this.$message.error(e.message);
          });
      }
    },
    // 恢复
    recoverData() {
      if (this.multipleSelection3.length < 1) {
        this.$message.warning("请勾选您要恢复的数据！");
      } else {
        this.dialogTableVisible2 = false;
        for (var i = 0; i < this.multipleSelection3.length; i++) {
          this.multipleSelection3[i].evaMan = userName;
          this.multipleSelection3[i].evaNo = userId;
        }
        this.axios
          .post(
            "pass/baseManagement/v1/limslrcfiles/recover",
            this.multipleSelection3,
            { individualType: "json" }
          )
          .then((res) => {
            if (res.succeed) {
              this.$message.success("恢复成功");
              this.refresh(1);
            } else {
              this.$message.error(res.message);
            }
          })
          .catch((e) => {
            this.$message.error(e.message);
          });
      }
    },
    // 文件信息查询
    searchData() {
      this.dataLoading = true;
      this.page.pageNum = 1;
      this.axios
        .get(
          "pass/baseManagement/v1/limslrcfiles/like/" +
            "?pageNum=" +
            this.page.pageNum +
            "&pageSize=" +
            this.page.pageSize +
            "&fileName=" +
            this.search.fileName +
            "&fileTypeName=" +
            this.search.fileTypeName
        )
        .then((res) => {
          this.dataLoading = false;
          this.table.list = res.data.list;
          this.page.totalPage = res.data.total;
        })
        .catch((e) => {
          this.dataLoading = false;
        });
    },
    // 人员信息重置
    reset() {
      this.search.fileName = "";
      this.search.fileTypeName = "";
      this.searchData();
    },
    // 文件操作信息新增
    addData2() {
      if (this.multipleSelection3.length < 1) {
        this.$message.warning("请在文件信息表中勾选您要新增的一条数据！");
      } else {
        this.showFlag2 = !this.showFlag2;
        this.Params2 = null;
        this.Params = this.multipleSelection3[0];
      }
    },
    // 文件操作信息修改
    modifyData2() {
      if (this.multipleSelection4.length !== 1) {
        this.$message.warning("请勾选您要修改的一条数据！");
      } else {
        this.showFlag2 = !this.showFlag2;
        this.Params2 = this.multipleSelection4[0];
        this.Params = null;
      }
    },
    // 文件操作信息删除
    deleteData2() {
      if (this.multipleSelection4.length < 1) {
        this.$message.warning("请勾选您要停用的数据！");
      } else {
        this.dialogTableVisible = false;
        for (var i = 0; i < this.multipleSelection4.length; i++) {
          this.multipleSelection4[i].updateMan = userName;
          this.multipleSelection4[i].updateNo = userId;
        }
        this.axios
          .post(
            "pass/baseManagement/v1/limslrcfileds/abolish",
            this.multipleSelection4,
            { individualType: "json" }
          )
          .then((res) => {
            if (res.succeed) {
              this.$message.success("停用操作成功");
              this.refresh(2);
            } else {
              this.$message.error(res.message);
            }
          })
          .catch((e) => {
            this.$message.error(e.message);
          });
      }
    },
    // 文件操作信息启用按钮
    recoverData2() {
      if (this.multipleSelection4.length < 1) {
        this.$message.warning("请勾选您要恢复的数据！");
      } else {
        this.dialogTableVisible2 = false;
        for (var i = 0; i < this.multipleSelection4.length; i++) {
          this.multipleSelection4[i].evaMan = userName;
          this.multipleSelection4[i].evaNo = userId;
        }
        this.axios
          .post(
            "pass/baseManagement/v1/limslrcfileds/recover",
            this.multipleSelection4,
            { individualType: "json" }
          )
          .then((res) => {
            if (res.succeed) {
              this.$message.success("恢复成功");
              this.refresh(2);
            } else {
              this.$message.error(res.message);
            }
          })
          .catch((e) => {
            this.$message.error(e.message);
          });
      }
    },
    pageSizeChange(size) {
      this.page.pageSize = size;
      this.getDataList();
    },
    pageCurrentChange(index) {
      this.page.pageNum = index;
      this.getDataList();
    },
    handleSelectionChange(val) {
      this.multipleSelection3 = val;
      if (val.length > 0) {
        this.fileId = val[val.length - 1].fileId;
        this.$refs.dataTable.setCurrentRow(val[val.length - 1]);
        this.getDataListByFileId(val[val.length - 1]);
      }
    },
    getDataListByFileId(val) {
      this.$refs.dataTable.toggleRowSelection(val, true);
      this.getDataList2(val.fileId);
    },
    getRowCheck(val) {
      this.$refs.dataTable2.toggleRowSelection(val, true);
    },
    pageSizeChange2(size) {
      this.page2.pageSize = size;
      this.getDataList2(this.fileId);
    },
    pageCurrentChange2(index) {
      this.page2.pageNum = index;
      this.getDataList2(this.fileId);
    },
    handleSelectionChange2(val) {
      this.multipleSelection4 = val;
    },
    addScreen() {
      this.$nextTick(() => {
        let ss = document.createElement("div");
        ss.innerHTML = "筛选";
        ss.style = "text-align: center;";
        this.$refs.dataTable.$el
          .getElementsByClassName("el-table__fixed")[0]
          .getElementsByTagName("td")[0]
          .appendChild(ss);
      });
    },
    addScreen2() {
      this.$nextTick(() => {
        let ss = document.createElement("div");
        ss.innerHTML = "筛选";
        ss.style = "text-align: center;";
        this.$refs.dataTable2.$el
          .getElementsByClassName("el-table__fixed")[0]
          .getElementsByTagName("td")[0]
          .appendChild(ss);
      });
    },
    getDataList() {
      this.dataLoading = true;
      this.axios
        .get(
          "pass/baseManagement/v1/limslrcfiles/" +
            "?pageNum=" +
            this.page.pageNum +
            "&pageSize=" +
            this.page.pageSize
        )
        .then((res) => {
          this.dataLoading = false;
          this.table.list = res.data.list;
          this.page.totalPage = res.data.total;
        })
        .catch((e) => {
          this.dataLoading = false;
        });
    },
    getDataList2(fileId) {
      this.dataLoading2 = true;
      if (fileId === null || fileId === "") {
        this.table.list2 = [];
        this.dataLoading2 = false;
        return 0;
      } else {
        this.axios
          .get(
            "pass/baseManagement/v1/limslrcfileds/" +
              "?pageNum=" +
              this.page2.pageNum +
              "&pageSize=" +
              this.page2.pageSize +
              "&fileId=" +
              fileId
          )
          .then((res) => {
            this.dataLoading2 = false;
            this.table.list2 = res.data.list;
            this.table.list2.forEach((item) => {
              item.pubDate = formatDate(item.pubDate, "yyyy-MM-dd");
              item.validDateStr = formatDate(item.validDateStr, "yyyy-MM-dd");
              item.validDateEnd = formatDate(item.validDateEnd, "yyyy-MM-dd");
              item.attachment01 = JSON.parse(item.attachment01);
              item.attachment02 = JSON.parse(item.attachment02);
              item.attachment03 = JSON.parse(item.attachment03);
              item.attachment011 = item.attachment01.oldFileName
                ? item.attachment01.oldFileName
                : "";
              item.attachment021 = item.attachment02.oldFileName
                ? item.attachment02.oldFileName
                : "";
              item.attachment031 = item.attachment03.oldFileName
                ? item.attachment03.oldFileName
                : "";
            });
            this.page2.totalPage = res.data.total;
          })
          .catch((e) => {
            this.dataLoading2 = false;
          });
      }
    },
    downloadFile(index, objId, objFileName, oldFileName, objType) {
      let obj = {
        objId: objId,
        objName: objType,
        fileName: objFileName,
      };
      let fileRow = {};
      this.axios
        .post(
          "pass/baseManagement/v1/limslrcfilesaves/queryListLrcFileSave",
          obj,
          { individualType: "json" }
        )
        .then((res) => {
          if (res.code == 0 || res.code == 200) {
            fileRow = res.data[0];
            this.axios
              .get(
                "pass/baseManagement/v1/file/download/" + fileRow.fileName,
                { responseType: "blob" },
                {
                  headers: {
                    "content-type": "application/x-www-form-urlencoded",
                  },
                }
              )
              .then((res) => {
                let blob = new Blob([res]);
                let fileName = oldFileName;
                let elink = document.createElement("a");
                elink.download = fileName;
                elink.style.display = "none";
                elink.target = "_blank";
                elink.href = URL.createObjectURL(blob);
                document.body.appendChild(elink);
                elink.click();
                URL.revokeObjectURL(elink.href); // 释放URL对象
                document.body.removeChild(elink);
              });
            // this.download(this.action_prod + fileRow.fileUrl, 'download.txt', 'text/plain', fileRow.oldFileName);
          } else {
            this.$message.error(res.message);
          }
        })
        .catch((err) => {
          this.$message.error(err.message);
        });
    },
    tableRowClassName({ row, column, rowIndex, columnIndex }) {
      if (columnIndex === 9) {
        if (row.validFlag === "0") {
          return "error-row";
        }
        return "";
      }
    },
    tableRowClassName2({ row, column, rowIndex, columnIndex }) {
      if (columnIndex === 10) {
        if (row.validFlag === "0") {
          return "error-row";
        }
        return "";
      }
    },
    // 表格上横线
    tableHeaderCellStyle() {
      return "color: rgb(255,255,255);border-bottom: 1px solid #DCDFE7;";
    },
  },
};
</script>
<style lang="less"></style>
